> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portals

> List the claim portals for your project, with cursor pagination.

List the claim portals for your project. The project is derived from your API
token. Results are cursor-paginated.

**Route:** `POST /api/external/v1/portals`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Body parameters

| Field    | Type          | Required | Description                                       |
| -------- | ------------- | -------- | ------------------------------------------------- |
| `cursor` | string (uuid) | No       | Portal ID of the last item from the previous page |
| `limit`  | number        | No       | Page size (default 50, max 100)                   |

## Request example

```sh theme={null}
curl -X POST https://app.magna.so/api/external/v1/portals \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY' \
-d '{ "limit": 50 }'
```

## Response example

```json theme={null}
{
  "items": [
    {
      "id": "po...uuid",
      "name": "Acme Claim Portal",
      "domains": ["acme.demo-portal.magna.so"],
      "legalEntityName": "Acme Inc.",
      "version": "V2",
      "createdAt": "2024-04-15T21:26:21.000Z",
      "updatedAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "cursor": "po...uuid",
  "total": 1
}
```
